relaxngcc.grammar

## Class NsNameClass

- java.lang.Object
- - relaxngcc.grammar.NameClass
  - - relaxngcc.grammar.NsNameClass

    public class NsNameClass
    extends NameClass

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

### Field Summary

Fields
`NameClass` `except`
`java.lang.String` `uri`

### Constructor Summary

Constructors
Constructor and Description
`NsNameClass(ParserRuntime rt, java.lang.String uri_, NameClass except_)`

### Method Summary

Methods
`java.lang.Object` `apply(NameClassFunction f)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### uri

    public final java.lang.String uri

#### except

    public final NameClass except

### Constructor Detail

#### NsNameClass

    public NsNameClass(ParserRuntime rt,
               java.lang.String uri_,
               NameClass except_)

### Method Detail

#### apply

    public java.lang.Object apply(NameClassFunction f)

Specified by:
  `apply` in class `NameClass`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`